import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema';
import { InsuranceCredentialCountOrderByAggregateInputObjectSchema as InsuranceCredentialCountOrderByAggregateInputObjectSchema } from './InsuranceCredentialCountOrderByAggregateInput.schema';
import { InsuranceCredentialAvgOrderByAggregateInputObjectSchema as InsuranceCredentialAvgOrderByAggregateInputObjectSchema } from './InsuranceCredentialAvgOrderByAggregateInput.schema';
import { InsuranceCredentialMaxOrderByAggregateInputObjectSchema as InsuranceCredentialMaxOrderByAggregateInputObjectSchema } from './InsuranceCredentialMaxOrderByAggregateInput.schema';
import { InsuranceCredentialMinOrderByAggregateInputObjectSchema as InsuranceCredentialMinOrderByAggregateInputObjectSchema } from './InsuranceCredentialMinOrderByAggregateInput.schema';
import { InsuranceCredentialSumOrderByAggregateInputObjectSchema as InsuranceCredentialSumOrderByAggregateInputObjectSchema } from './InsuranceCredentialSumOrderByAggregateInput.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  siteKey: SortOrderSchema.optional(),
  username: SortOrderSchema.optional(),
  password: SortOrderSchema.optional(),
  _count: z.lazy(() => InsuranceCredentialCountOrderByAggregateInputObjectSchema).optional(),
  _avg: z.lazy(() => InsuranceCredentialAvgOrderByAggregateInputObjectSchema).optional(),
  _max: z.lazy(() => InsuranceCredentialMaxOrderByAggregateInputObjectSchema).optional(),
  _min: z.lazy(() => InsuranceCredentialMinOrderByAggregateInputObjectSchema).optional(),
  _sum: z.lazy(() => InsuranceCredentialSumOrderByAggregateInputObjectSchema).optional()
}).strict();
export const InsuranceCredentialOrderByWithAggregationInputObjectSchema: z.ZodType<Prisma.InsuranceCredentialOrderByWithAggregationInput> = makeSchema() as unknown as z.ZodType<Prisma.InsuranceCredentialOrderByWithAggregationInput>;
export const InsuranceCredentialOrderByWithAggregationInputObjectZodSchema = makeSchema();
